from app.schemas.common import ModuleName


class AppError(Exception):
    def __init__(self, code: str, desc: str, module: ModuleName) -> None:
        super().__init__(desc)
        self.code = code
        self.desc = desc
        self.module = module
